# Class CIM_BGPServiceStatistics
extends CIM_ServiceStatistics

This association defines statistics collected for a BGP Service. The relationship is deprecated since the class BGPStatistics is deprecated. It is incorrectly associated with a BGPService, but should instead be associated with a BGPProtocolEndpoint using the ElementStatisticalData relationship.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Statistics
|
+--CIM_ServiceStatistics
|
+--CIM_BGPServiceStatistics

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_ElementStatisticalData
Description | string | This association defines statistics collected for a BGP Service. The relationship is deprecated since the class BGPStatistics is deprecated. It is incorrectly associated with a BGPService, but should instead be associated with a BGPProtocolEndpoint using the ElementStatisticalData relationship.
UMLPackagePath | string | CIM::Network::BGP
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Element | CIM_BGPServiceStatistics | CIM_BGPService
Stats | CIM_BGPServiceStatistics | CIM_BGPStatistics

## Class Methods